com.jogamp.opengl.util.stereo

## Class StereoDeviceFactory

- java.lang.Object
- - com.jogamp.opengl.util.stereo.StereoDeviceFactory

-     public abstract class StereoDeviceFactory
      extends Object

  Platform agnostic `StereoDevice` factory.

  To implement a new `StereoDevice`, the following interfaces/classes must be implemented:

  - `StereoDeviceFactory`
  - `StereoDevice`
  - `StereoDeviceRenderer`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StereoDeviceFactory.DeviceType` `StereoDevice` type used for `createFactory(type)`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StereoDeviceFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StereoDeviceFactory` | `createDefaultFactory()`
    `abstract StereoDevice` | `createDevice(int deviceIndex, StereoDevice.Config config, boolean verbose)`
    `static StereoDeviceFactory` | `createFactory(ClassLoader cl, String implName)`
    `static StereoDeviceFactory` | `createFactory(StereoDeviceFactory.DeviceType type)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StereoDeviceFactory

          public StereoDeviceFactory()

  - ### Method Detail

    - #### createDefaultFactory

          public static StereoDeviceFactory createDefaultFactory()

    - #### createFactory

          public static StereoDeviceFactory createFactory(StereoDeviceFactory.DeviceType type)

    - #### createFactory

          public static StereoDeviceFactory createFactory(ClassLoader cl,
                                          String implName)

    - #### createDevice

          public abstract StereoDevice createDevice(int deviceIndex,
                                  StereoDevice.Config config,
                                  boolean verbose)

Copyright 2010 JogAmp Community.